Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
yaml_document_s Struct Reference
Nodes

The document structure. More...

`#include <yaml.h>`

## Data Fields
struct {
yaml_node_t * start
| The beginning of the stack. More...
yaml_node_t * end
| The end of the stack. More...
yaml_node_t * top
| The top of the stack. More...
} | nodes
| The document nodes. More...
yaml_version_directive_t * | version_directive
| The version directive. More...
struct {
yaml_tag_directive_t * start
| The beginning of the tag directives list. More...
yaml_tag_directive_t * end
| The end of the tag directives list. More...
} | tag_directives
| The list of tag directives. More...
int | start_implicit
| Is the document start indicator implicit? More...
int | end_implicit
| Is the document end indicator implicit? More...
yaml_mark_t | start_mark
| The beginning of the document. More...
yaml_mark_t | end_mark
| The end of the document. More...

## Detailed Description

The document structure.

Definition at line 778 of file yaml.h.

## Field Documentation

yaml_node_t* yaml_document_s::end

The end of the stack.

Definition at line 785 of file yaml.h.

Referenced by yaml_parser_load_document().

yaml_tag_directive_t* yaml_document_s::end

The end of the tag directives list.

Definition at line 798 of file yaml.h.

int yaml_document_s::end_implicit

Is the document end indicator implicit?

Definition at line 804 of file yaml.h.

Referenced by yaml_parser_load_document().

yaml_mark_t yaml_document_s::end_mark

The end of the document.

Definition at line 809 of file yaml.h.

Referenced by yaml_parser_load_document().

struct { ... } yaml_document_s::nodes

The document nodes.

Referenced by yaml_emitter_anchor_node(), yaml_emitter_delete_document_and_anchors(), yaml_emitter_dump_node(), yaml_parser_load_mapping(), yaml_parser_load_scalar(), yaml_parser_load_sequence(), and yaml_parser_register_anchor().

yaml_node_t* yaml_document_s::start

The beginning of the stack.

Definition at line 783 of file yaml.h.

Referenced by yaml_emitter_anchor_node(), yaml_emitter_delete_document_and_anchors(), yaml_emitter_dump_node(), yaml_parser_load_document(), yaml_parser_load_mapping(), yaml_parser_load_scalar(), yaml_parser_load_sequence(), and yaml_parser_register_anchor().

yaml_tag_directive_t* yaml_document_s::start

The beginning of the tag directives list.

Definition at line 796 of file yaml.h.

int yaml_document_s::start_implicit

Is the document start indicator implicit?

Definition at line 802 of file yaml.h.

Referenced by yaml_parser_load_document().

yaml_mark_t yaml_document_s::start_mark

The beginning of the document.

Definition at line 807 of file yaml.h.

Referenced by yaml_parser_load_document().

struct { ... } yaml_document_s::tag_directives

The list of tag directives.

Referenced by yaml_parser_load_document().

yaml_node_t* yaml_document_s::top

The top of the stack.

Definition at line 787 of file yaml.h.

Referenced by yaml_emitter_delete_document_and_anchors(), yaml_parser_load_mapping(), yaml_parser_load_scalar(), and yaml_parser_load_sequence().

yaml_version_directive_t* yaml_document_s::version_directive

The version directive.

Definition at line 791 of file yaml.h.

Referenced by yaml_parser_load_document().

The documentation for this struct was generated from the following file:

- ext/psych/yaml/yaml.h